1. 13 Nov, 2019 1 commit
  2. 23 Oct, 2019 1 commit
  3. 22 Oct, 2019 1 commit
  4. 14 Oct, 2019 1 commit
  5. 18 Sep, 2019 1 commit
  6. 30 Aug, 2019 1 commit
  7. 02 Jul, 2019 1 commit
  8. 30 Apr, 2019 1 commit
    • Thong Kuah's avatar
      Expose can_uninstall in cluster_status.json · 3a44a193a0c4
      Thong Kuah authored
      Only prometheus can be uninstalled atm, the rest will be dealt with
      later.
      
      Presumption is that new application types will have uninstallation
      implmemented at the same time.
      3a44a193a0c4
  9. 05 Apr, 2019 1 commit
  10. 01 Apr, 2019 1 commit
  11. 07 Mar, 2019 1 commit
  12. 15 Feb, 2019 1 commit
  13. 07 Feb, 2019 1 commit
  14. 06 Feb, 2019 2 commits
    • Thong Kuah's avatar
      Refactor specs to run shared parts only when used · a59b0d68f01d
      Thong Kuah authored
      All applications except for Jupyter have the same #set_initial_status,
      so create a new shared example which we include in all application specs
      except for juptyer_spec. Juptyer specs already have specs for it's
      version of #set_initial_status
      a59b0d68f01d
    • Thong Kuah's avatar
      Update version on :installed, not :installing · fe92a7b4cc8f
      Thong Kuah authored
      This makes this consistent with :updated. And also avoids a potential
      issue where an install errors which means that that the recorded version
      won't necessarily reflect the version that is actually installed.
      fe92a7b4cc8f
  15. 10 Jan, 2019 1 commit
  16. 04 Jan, 2019 1 commit
  17. 04 Dec, 2018 1 commit
  18. 03 Dec, 2018 3 commits
  19. 26 Nov, 2018 1 commit
  20. 06 Nov, 2018 1 commit
  21. 16 Oct, 2018 1 commit
  22. 06 Sep, 2018 1 commit
  23. 07 Aug, 2018 1 commit
  24. 01 Aug, 2018 1 commit
    • Thong Kuah's avatar
      Lock helm charts to the VERSION already specified for each application. · d2d4a902f97c
      Thong Kuah authored
      Fix up VERSION for each of the applications
      * There is no 0.0.1 helm version for jupyterhub. Use the latest version instead
      * `:nginx` is not a valid chart version. Lock the ingress application GitLab installs to the latest chart version.
      * Use the latest gitlab-runner chart to prevent GitLab installing older versions when users have been installing the lastest version
      
      Always install from the VERSION and not the database `version` column.
      This should fix cases like https://gitlab.com/gitlab-org/gitlab-ee/issues/6795 in
      the instances where an install command failed previously, which locked the version
      in the database to an older version.
      
      Also, ensure that the version column is updated to the version we are
      installing.
      
      Add specs to show how previously failed appplications will be handled when the helm installation is run again
      
      Add changelog entry
      d2d4a902f97c
  25. 31 Jul, 2018 1 commit
  26. 30 Jul, 2018 2 commits
  27. 28 Jul, 2018 1 commit
  28. 20 Jun, 2018 1 commit
  29. 29 Mar, 2018 1 commit
  30. 01 Mar, 2018 1 commit
  31. 25 Feb, 2018 1 commit
  32. 22 Feb, 2018 1 commit
  33. 20 Feb, 2018 2 commits
  34. 15 Feb, 2018 1 commit
  35. 22 Dec, 2017 1 commit